@echo off
REM Licensed to the Apache Software Foundation (ASF) under one or more
REM contributor license agreements.  See the NOTICE file distributed with
REM this work for additional information regarding copyright ownership.
REM The ASF licenses this file to You under the Apache License, Version 2.0
REM (the "License"); you may not use this file except in compliance with
REM the License.  You may obtain a copy of the License at
REM 
REM   http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM See the License for the specific language governing permissions and
REM limitations under the License.

@set BIN_DIR=target

rem =====================================
rem Building the release
rem =====================================
@if exist %BIN_DIR% rmdir /S /Q %BIN_DIR%
@mkdir %BIN_DIR%
@cd .\stocktrader\dotnet
@call BuildDotNet.cmd
@cd ..\wsas
@call mvn clean install
@cd ..\php
@call build.bat
@echo off
@cd ..

rem =====================================
rem binary pack
rem =====================================
@xcopy /E /Q /Y /I php\php_stocktrader ..\%BIN_DIR%\php_stocktrader\
@xcopy /E /Q /Y /I wsas\target\wsas_stocktrader ..\%BIN_DIR%\wsas_stocktrader\
@cd ..\%BIN_DIR%
@mkdir dotnet_stocktrader
@cd dotnet_stocktrader
@mkdir trader_client
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\trader_client\Trade trader_client\Trade\
@mkdir trader_client\Trade\Bin
@copy /Y ..\..\stocktrader\dotnet\trader_client\bin\release\*.dll trader_client\Trade\Bin\
@copy /Y ..\..\stocktrader\dotnet\trader_client\StockTraderWebApplicationClients\bin\release\*.dll trader_client\Trade\Bin\
@copy /Y ..\..\stocktrader\dotnet\trader_client\StockTraderWebApplicationUIModelClasses\bin\release\*.dll trader_client\Trade\Bin\
@mkdir business_service
@mkdir business_service\bin
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\business_service\bin\release business_service\bin\release\
@mkdir order_processor
@mkdir order_processor\bin
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\order_processor\bin\release order_processor\bin\release\
@mkdir setup_utilities
@mkdir setup_utilities\SetupActions
@mkdir setup_utilities\SetupActions\bin
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\SetupActions\bin\release setup_utilities\SetupActions\bin\release\
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\DataLoad setup_utilities\DataLoad\
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\SimpleClientRepository setup_utilities\SimpleClientRepository\
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\SimpleServiceRepository setup_utilities\SimpleServiceRepository\
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\StockTraderDB setup_utilities\StockTraderDB\
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\StockTraderWebAppRepository setup_utilities\StockTraderWebAppRepository\
@xcopy /E /Q /Y /I ..\..\stocktrader\dotnet\setup_utilities\Util setup_utilities\Util\

@copy ..\..\stocktrader\dotnet\*.mht .\
@copy ..\..\stocktrader\dotnet\*.bat .\
@del /Q /S *.pdb

cd ..\..\

@copy /Y DISCLAIMER .\%BIN_DIR%\
@copy /Y LICENSE .\%BIN_DIR%\
@copy /Y NOTICE .\%BIN_DIR%\
@copy /Y README .\%BIN_DIR%\
@copy /Y ChangeLog .\%BIN_DIR%\
@copy /Y BUILDING .\%BIN_DIR%\

@echo on
