//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .Net StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

//======================================================================================================
// The AccountDataModel class, part of the DataContract for the StockTrader Business Services Layer.
//======================================================================================================

//======================================================================================================
// Code originally contributed by Microsoft Corporation.
// This contribution to the Stonehenge project is limited strictly 
// to the source code that is submitted in this submission.  
// Any technology, including underlying platform technology, 
// that is referenced or required by the submitted source code 
// is not a part of the contribution.  
// For example and not by way of limitation, 
// any systems/Windows libraries (WPF, WCF, ASP.NET etc.) 
// required to run the submitted source code is not a part of the contribution
//======================================================================================================

using System;
using System.Collections;
using System.ServiceModel;
using System.Runtime.Serialization;

namespace Trade.BusinessServiceDataContract
{
    /// <summary>
    /// This class is part of the WCF Data Contract for StockTrader Business Services.
    /// It defines the class used as the data model for account information. 
    /// </summary>
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://trade.samples.websphere.ibm.com", TypeName="AccountDataBean")]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Namespace = "http://trade.samples.websphere.ibm.com",Name="AccountDataBean")]
    public sealed class AccountDataModel
    {
        private int _accountID; 		    
        private DateTime _creationDate; 	
        private string _userId;
        private decimal _openBalance;
        private int _logoutCount;
        private decimal _balance;
        private DateTime _lastLogin;
        private int _loginCount;
            
        public AccountDataModel()
        {
        }

        public AccountDataModel(int accountID, string userid,
                                DateTime creationDate,
                                decimal openBalance,
                                int logoutCount,
                                decimal balance,
                                DateTime lastLogin,
                                int loginCount)
        {
            this._accountID = accountID;
            this._creationDate = creationDate;
            this._userId = userid;
            
            this._openBalance = openBalance;
            this._logoutCount = logoutCount;
            this._balance = balance;
            this._lastLogin = lastLogin;
            this._loginCount = loginCount;
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "accountID", Order = 1, IsNullable=false)]
        [DataMember(IsRequired = false, Name = "accountID", Order = 1)]
        public int accountID
        {
            // Properties
            get { return _accountID; }
            set
            {
                this._accountID = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "loginCount", Order = 2, IsNullable=false)]
        [DataMember(IsRequired = false, Name = "loginCount", Order = 2)]
        public int loginCount
        {
            get
            {
                return _loginCount;
            }
            set
            {
                this._loginCount = value;
            }
        }


        [System.Xml.Serialization.XmlElementAttribute(ElementName = "logoutCount", Order = 3, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "logoutCount", Order = 3)]
        public int logoutCount
        {
            get
            {
                return _logoutCount;
            }
            set
            {
                this._logoutCount = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "lastLogin", Order = 4, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "lastLogin", Order = 4)]
        public DateTime lastLogin
        {
            get
            {
                return _lastLogin;
            }
            set
            {
                this._lastLogin = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "creationDate", Order = 5, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "creationDate", Order = 5)]
        public DateTime creationDate
        {
            get
            {
                return _creationDate;
            }
            set
            {
                this._creationDate= value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "balance", Order = 6, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "balance", Order = 6)]
        public decimal balance
        {
            get
            {
                return _balance;
            }
            set
            {
                this._balance = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "openBalance", Order = 7, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "openBalance", Order = 7)]
        public decimal openBalance
        {
            get
            {
                return _openBalance;
            }
            set
            {
                this._openBalance = value;
            }
        }

        [System.Xml.Serialization.XmlElementAttribute(ElementName = "profileID", Order = 8, IsNullable = false)]
        [DataMember(IsRequired = false, Name = "profileID", Order = 8)]
        public string profileID
        {
            get
            {
                return _userId;
            }
            set
            {
                this._userId = value;
            }
        }
    }
}