//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .Net StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

//======================================================================================================
// The Factory class that returns an instance of the MarketSummary Data Access Class, part of the Data Access 
// Layer (DAL).  This will return either a SQL Server DAL, or an Oracle DAL, depending on the configuration
// the .NET StockTrader application is running in, as set in the repository via ConfigWeb. To run against
// Oracle 10G or 11G, you will need to download Oracle's .NET ODP and Oracle client for Windows, and install
// on your nodes.
//======================================================================================================


using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using System.Configuration;
using System.Security.Policy;
using Trade.IDAL;

namespace Trade.DALFactory
{
   public sealed class MarketSummary
    {
        public static Trade.IDAL.IMarketSummary Create(string path)
        {
            
            string className = path + ".MarketSummary";

            // Using the evidence given in the config file load the appropriate assembly and class
            return (Trade.IDAL.IMarketSummary)Assembly.Load(path).CreateInstance(className);
        }
    }
}
