//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .Net StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

//======================================================================================================
// An interface implemented by the DAL.
//======================================================================================================

//======================================================================================================
// Code originally contributed by Microsoft Corporation.
// This contribution to the Stonehenge project is limited strictly 
// to the source code that is submitted in this submission.  
// Any technology, including underlying platform technology, 
// that is referenced or required by the submitted source code 
// is not a part of the contribution.  
// For example and not by way of limitation, 
// any systems/Windows libraries (WPF, WCF, ASP.NET etc.) 
// required to run the submitted source code is not a part of the contribution
//======================================================================================================

using System;
using System.Collections;
using System.Collections.Generic;
using Trade.BusinessServiceDataContract;

namespace Trade.IDAL
{
    public interface ICustomer
    {
        void BeginADOTransaction();
        void RollBackTransaction();
        void CommitADOTransaction();
        void Open(string connString);
        void Close();
        void updateAccountBalance(int accountID, decimal total);
        AccountDataModel login(string userId, string password);
        void logOutUser(string userID);
        AccountDataModel getCustomerByUserID(string UserID);
        AccountProfileDataModel getAccountProfileData(string userID);
        List<OrderDataModel> getClosedOrders(string userId);
        List<HoldingDataModel> getHoldings(string userID);
        HoldingDataModel getHoldingForUpdate(int orderID);
        HoldingDataModel getHolding(string userID, int holdingID);
        void insertAccount(AccountDataModel customer);
        void insertAccountProfile(AccountProfileDataModel customerprofile);
        List<OrderDataModel> getOrders(string userID, bool top, int maxTop, int maxDefault);
        AccountProfileDataModel update(AccountProfileDataModel customerprofile);
    }
}