/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
CREATE PROCEDURE InsertConnectedConfigServicesFromXML (
    @sXML NTEXT
)
AS
begin transaction
    DECLARE @iDoc INT
    EXEC sp_xml_preparedocument @iDoc OUTPUT, @sXML
                       
    INSERT INTO dbo.ConnectedConfigServices (ServiceImplementationClassName, ServiceContract, HostNameIdentifier, ClientConfiguration,BindingType,ConnectedConfigServiceID,Active,ServiceType,CurrentCSUserKey,VHostID,Address,OnlineMethod,OnlineParms,ServiceFriendlyName,LoadBalanceType,UseHttps)
    SELECT ServiceImplementationClassName, ServiceContract, HostNameIdentifier, ClientConfiguration,BindingType,ConnectedConfigServiceID,Active,ServiceType,CurrentCSUserKey,VHostID,Address,OnlineMethod,OnlineParms,ServiceFriendlyName,LoadBalanceType,UseHttps
    FROM OPENXML(@iDoc,'/ConnectedConfigServices/dbo.ConnectedConfigServices',2)
    WITH (ServiceImplementationClassName varchar(200) 'ServiceImplementationClassName', 
          ServiceContract varchar(200) 'ServiceContract', 
          HostNameIdentifier varchar(200) 'HostNameIdentifier', 
		  ClientConfiguration varchar(200) 'ClientConfiguration',
		  BindingType varchar(200) 'BindingType',
		  ConnectedConfigServiceID int 'ConnectedConfigServiceID',
	      Active int 'Active',
		  ServiceType int 'ServiceType',
		  CurrentCSUserKey int 'CurrentCSUserKey',
		  VHostID int 'VHostID',
		  Address varchar(200) 'Address',
		  OnlineMethod varchar(200) 'OnlineMethod',
		  OnlineParms varchar(200) 'OnlineParms',
		  ServiceFriendlyName varchar(200) 'ServiceFriendlyName',
		  LoadBalanceType int 'LoadBalanceType',
		  UseHttps int 'UseHttps');
	commit;
    EXEC sp_xml_removedocument @iDoc;
RETURN
