/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
CREATE PROCEDURE InsertConnectedServicesFromXML(
    @sXML NTEXT
)
AS
begin transaction
    DECLARE @iDoc INT
    EXEC sp_xml_preparedocument @iDoc OUTPUT, @sXML
                       
    INSERT INTO dbo.ConnectedServices (ServiceImplementationClassName, ServiceType, ServiceContract, HostNameIdentifier,ClientConfiguration,DefaultAddressForAdminUserDisplay,BindingType,ConnectedServiceID,ServiceFriendlyName,HostedServiceID,CurrentCSUserKey,ConnectedConfigServiceID,VHostID,OnlineMethod,OnlineParms,LoadBalanceType,UseHttps,ServiceUserKey,ApplyUserCredentials)
    SELECT ServiceImplementationClassName, ServiceType, ServiceContract, HostNameIdentifier,ClientConfiguration,DefaultAddressForAdminUserDisplay,BindingType,ConnectedServiceID,ServiceFriendlyName,HostedServiceID,CurrentCSUserKey,ConnectedConfigServiceID,VHostID,OnlineMethod,OnlineParms,LoadBalanceType,UseHttps,ServiceUserKey,ApplyUserCredentials
    FROM OPENXML(@iDoc,'/ConnectedServices/dbo.ConnectedServices',2)
    WITH (	ServiceImplementationClassName varchar(200) 'ServiceImplementationClassName',
			ServiceType int 'ServiceType',  
			ServiceContract varchar(200) 'ServiceContract',
			HostNameIdentifier varchar(200) 'HostNameIdentifier',
			ClientConfiguration varchar(200) 'ClientConfiguration',
			DefaultAddressForAdminUserDisplay varchar(200) 'DefaultAddressForAdminUserDisplay',	
			BindingType varchar(50) 'BindingType',		
			ConnectedServiceID int 'ConnectedServiceID',
			ServiceFriendlyName varchar(200) 'ServiceFriendlyName', 
			HostedServiceID int 'HostedServiceID',
			CurrentCSUserKey int 'CurrentCSUserKey',
			ConnectedConfigServiceID int 'ConnectedConfigServiceID',
			VHostID int 'VHostID',
			OnlineMethod varchar(200) 'OnlineMethod',
			OnlineParms varchar(200) 'OnlineParms',
			LoadBalanceType int 'LoadBalanceType',
			UseHttps int 'UseHttps',
			ServiceUserKey int 'ServiceUserKey',
			ApplyUserCredentials int 'ApplyUserCredentials'
			);
	commit;
    EXEC sp_xml_removedocument @iDoc;
RETURN;


