/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
CREATE PROCEDURE InsertQuoteFromXML(
    @sXML NTEXT
)
AS
begin transaction
    DECLARE @iDoc INT
    EXEC sp_xml_preparedocument @iDoc OUTPUT, @sXML
                       
INSERT INTO dbo.QUOTE (LOW,OPEN1,VOLUME,PRICE,HIGH,COMPANYNAME,SYMBOL,CHANGE1)
 
 SELECT LOW,OPEN1,VOLUME,PRICE,HIGH,COMPANYNAME,SYMBOL,CHANGE1
    FROM OPENXML(@iDoc,'/Quote/dbo.Quote',2)
    WITH (	LOW decimal(12,2) 'LOW', 
			OPEN1 decimal(12,2) 'OPEN1', 
			VOLUME float 'VOLUME', 
			PRICE decimal(12,2) 'PRICE',
			HIGH decimal(12,2) 'HIGH',
			COMPANYNAME varchar(250) 'COMPANYNAME',
			SYMBOL varchar(250) 'SYMBOL',
			CHANGE1 float 'CHANGE1');
	commit;
    EXEC sp_xml_removedocument @iDoc;
RETURN