//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace SetupAction
{
    class Program
    {
        public static string INSTALL_PATH = null;
        public static string dbServer = null;
        public static string installPath = null;
        public static string createDBs = null;
        public static string dbAdmin = null;
        public static string dbPassword = null;
        public static string authType = null;
        
        static void Main()
        {
            Console.WriteLine("Setting up Database");
            //These are only for display
            //The install method wil get them again.
            dbServer = ConfigurationManager.AppSettings.Get("dbServer");
            installPath = ConfigurationManager.AppSettings.Get("installPath");
            //not used createDBs = ConfigurationManager.AppSettings.Get("createDBs");
            dbAdmin = ConfigurationManager.AppSettings.Get("dbAdmin");
            dbPassword = ConfigurationManager.AppSettings.Get("dbPassword");
            authType = ConfigurationManager.AppSettings.Get("authType");

            Console.WriteLine("Config.AppSettings:");
            Console.WriteLine("dbServer  is {0}",dbServer );
            Console.WriteLine("installPath  is {0}", installPath);
            //not used Console.WriteLine("createDBs  is {0}", createDBs);
            Console.WriteLine("dbAdmin  is {0}", dbAdmin);
            Console.WriteLine("authType  is {0}", authType);

            

            SetupAction s = new SetupAction();
            try
            {
                s.Install();
                Console.WriteLine();
                Console.WriteLine("Setup completed. Press Enter to continue");
            }
            catch (Exception ex)
            {
                Console.WriteLine();
                Console.WriteLine(ex.ToString());
                Console.WriteLine("Setup Failed. Press Enter to continue");
            }
            Console.ReadLine();
        }
    }
}
