//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
using System;
using System.Collections.Generic;
using System.Text;
using Trade.StockTraderWebApplicationSettings;

namespace Trade.StockTraderWebApplicationModelClasses
{
    public static class DataFormatHelper
    {
        public static string NumberWithStyledArrow(double value)
        {
            if (value > 0)
                return string.Format("<span class='" + Settings.GAINSTYLECSS + "'>{0:C}</span>", value);
            else if (value < 0)
                return string.Format("<span class='" + Settings.LOSSSTYLECSS + "'>{0:C}</span>", value);

            return string.Format("{0:C}", value);
        }

        public static string NumberWithStyledArrow(decimal value)
        {
            if (value > 0)
                return string.Format("<span class='" + Settings.GAINSTYLECSS + "'>{0:C}</span>", value);
            else if (value < 0)
                return string.Format("<span class='" + Settings.LOSSSTYLECSS + "'>{0:C}</span>", value);

            return string.Format("{0:C}", value);
        }

        public static string GetQuoteLink(params string[] symbols)
        {
            var symbolsCsv = string.Join(",", symbols);
            return "<a href=\"" + Settings.PAGE_QUOTES + "?symbols=" + symbolsCsv + "\">" + symbolsCsv + "</a>";
        }

    }
}
