/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Config_svcCallbackHandler.java
 *
 * This file was auto-generated from WSDL
 * by the Apache Axis2 version: SNAPSHOT  Built on : Jul 01, 2008 (11:47:57 IST)
 */

    package org.apache.stonehenge.stocktrader.config;

    /**
     *  Config_svcCallbackHandler Callback class, Users can extend this class and implement
     *  their own receiveResult and receiveError methods.
     */
    public abstract class Config_svcCallbackHandler{



    protected Object clientData;

    /**
    * User can pass in any object that needs to be accessed once the NonBlocking
    * Web service call is finished and appropriate method of this CallBack is called.
    * @param clientData Object mechanism by which the user can pass in user data
    * that will be avilable at the time this callback is called.
    */
    public Config_svcCallbackHandler(Object clientData){
        this.clientData = clientData;
    }

    /**
    * Please use this constructor if you don't want to set any clientData
    */
    public Config_svcCallbackHandler(){
        this.clientData = null;
    }

    /**
     * Get the client data
     */

     public Object getClientData() {
        return clientData;
     }

        
           /**
            * auto generated Axis2 call back method for bSConfigRequest method
            * override this method for handling normal response from bSConfigRequest operation
            */
           public void receiveResultbSConfigRequest(
                    org.apache.stonehenge.stocktrader.config.xsd.BSConfigResponseE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from bSConfigRequest operation
           */
            public void receiveErrorbSConfigRequest(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for clientConfigRequest method
            * override this method for handling normal response from clientConfigRequest operation
            */
           public void receiveResultclientConfigRequest(
                    org.apache.stonehenge.stocktrader.config.xsd.ClientConfigResponseE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from clientConfigRequest operation
           */
            public void receiveErrorclientConfigRequest(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for getClientToBSConnections method
            * override this method for handling normal response from getClientToBSConnections operation
            */
           public void receiveResultgetClientToBSConnections(
                    org.apache.stonehenge.stocktrader.config.xsd.ClientToBSConnectionsE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getClientToBSConnections operation
           */
            public void receiveErrorgetClientToBSConnections(java.lang.Exception e) {
            }
                
               // No methods generated for meps other than in-out
                
           /**
            * auto generated Axis2 call back method for getDBConfigs method
            * override this method for handling normal response from getDBConfigs operation
            */
           public void receiveResultgetDBConfigs(
                    org.apache.stonehenge.stocktrader.config.xsd.DBConfigsE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getDBConfigs operation
           */
            public void receiveErrorgetDBConfigs(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for getActiveDB method
            * override this method for handling normal response from getActiveDB operation
            */
           public void receiveResultgetActiveDB(
                    org.apache.stonehenge.stocktrader.config.xsd.CurrentActiveDB result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getActiveDB operation
           */
            public void receiveErrorgetActiveDB(java.lang.Exception e) {
            }
                
               // No methods generated for meps other than in-out
                
           /**
            * auto generated Axis2 call back method for oPSConfigRequest method
            * override this method for handling normal response from oPSConfigRequest operation
            */
           public void receiveResultoPSConfigRequest(
                    org.apache.stonehenge.stocktrader.config.xsd.OPSConfigResponseE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from oPSConfigRequest operation
           */
            public void receiveErroroPSConfigRequest(java.lang.Exception e) {
            }
                
               // No methods generated for meps other than in-out
                
               // No methods generated for meps other than in-out
                
           /**
            * auto generated Axis2 call back method for getServiceLocations method
            * override this method for handling normal response from getServiceLocations operation
            */
           public void receiveResultgetServiceLocations(
                    org.apache.stonehenge.stocktrader.config.xsd.ServiceLocationsE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getServiceLocations operation
           */
            public void receiveErrorgetServiceLocations(java.lang.Exception e) {
            }
                
               // No methods generated for meps other than in-out
                
           /**
            * auto generated Axis2 call back method for getBSToOPSConnections method
            * override this method for handling normal response from getBSToOPSConnections operation
            */
           public void receiveResultgetBSToOPSConnections(
                    org.apache.stonehenge.stocktrader.config.xsd.BSToOPSConnectionsE result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getBSToOPSConnections operation
           */
            public void receiveErrorgetBSToOPSConnections(java.lang.Exception e) {
            }
                


    }
    
